Name:           telepathy-gabble
Version:        0.16.1
Release:        1
Summary:        A Jabber/XMPP connection manager
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 1.1.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(glib-2.0) >= 2.24
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.24
BuildRequires:	pkgconfig(gthread-2.0) >= 2.24
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nice) >= 0.0.11
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.17.2
#BuildRequires:	pkgconfig(telepathy-yell)
BuildRequires:  libxslt-proc
BuildRequires:  python-devel
Requires:	telepathy-filesystem

%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.

%files
%doc NEWS README AUTHORS
%{_bindir}/telepathy-gabble-xmpp-console
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libdir}/telepathy-gabble
%{_libdir}/telepathy/gabble-0
%{_mandir}/man*/*.*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# don't ship .la
find %buildroot -name '*.la' | xargs rm -f


%changelog
* Mon Jun 25 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.16.1-1
+ Revision: 806791
- version update 0.161.

* Thu Jun 23 2011 Götz Waschk <waschk@mandriva.org> 0.12.2-1
+ Revision: 686852
- update to new version 0.12.2

* Mon May 16 2011 Funda Wang <fwang@mandriva.org> 0.12.0-2
+ Revision: 674987
- rebuild

* Wed Apr 27 2011 Funda Wang <fwang@mandriva.org> 0.12.0-1
+ Revision: 659577
- update file list
- br gnutls
- new version 0.12.0

* Sat Aug 21 2010 Pascal Terjan <pterjan@mandriva.org> 0.9.16-2mdv2011.0
+ Revision: 571550
- Fix path to system certificates

* Fri Aug 20 2010 Pascal Terjan <pterjan@mandriva.org> 0.9.16-1mdv2011.0
+ Revision: 571428
- Update to 0.9.16

* Mon Aug 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.15-1mdv2011.0
+ Revision: 567817
- update to 0.9.13
- remove --enable-olpc from configure options, doesn't exist any more
- add BR libuuid-devel

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.9.13-1mdv2011.0
+ Revision: 565793
- new version
- depend on libnice

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.9.10-2mdv2010.1
+ Revision: 539617
- rebuild so that shared libraries are properly stripped again

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.10-1mdv2010.1
+ Revision: 535569
- update to new version 0.9.10

* Thu Feb 25 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.6-1mdv2010.1
+ Revision: 511338
- update to new version 0.9.6

* Sat Feb 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.5-1mdv2010.1
+ Revision: 508605
- update to new version 0.9.5

* Thu Jan 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.4-1mdv2010.1
+ Revision: 497788
- Update to new version 0.9.4
- Fix build on x86_64 by using -fPIC
- Does not depend on loudmouth anymore

* Wed Dec 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.3-1mdv2010.1
+ Revision: 481812
- update to new version 0.9.3

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 461963
- update to new version 0.9.2

* Mon Oct 19 2009 Michael Scherer <misc@mandriva.org> 0.8.7-1mdv2010.0
+ Revision: 458203
- update to 0.8.7

* Sat Oct 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.5-1mdv2010.0
+ Revision: 452767
- update to new version 0.8.5

* Tue Sep 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-2mdv2010.0
+ Revision: 451075
- update to new version 0.8.4

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.3-1mdv2010.0
+ Revision: 437314
- update to new version 0.8.3

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 435986
- update to new version 0.8.2

* Sat Aug 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.1-1mdv2010.0
+ Revision: 419598
- update to new version 0.8.1

* Wed Aug 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 418065
- update to new version 0.8.0

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.32-1mdv2010.0
+ Revision: 412618
- update to new version 0.7.32

* Wed Jul 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.31-1mdv2010.0
+ Revision: 398725
- update to new version 0.7.31

* Mon Jun 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.30-1mdv2010.0
+ Revision: 390716
- update to new version 0.7.30

* Fri Jun 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.29-1mdv2010.0
+ Revision: 387367
- update to new version 0.7.29

* Mon Jun 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.28-1mdv2010.0
+ Revision: 381975
- Update to new version 0.7.28

* Fri May 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.27-1mdv2010.0
+ Revision: 373489
- update to new version 0.7.27

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.26-1mdv2010.0
+ Revision: 369724
- update to new version 0.7.26

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.23-1mdv2009.1
+ Revision: 356550
- BuildRequires libsoup-devel
- update to new version 0.7.23

* Thu Mar 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.22-1mdv2009.1
+ Revision: 349130
- update to new version 0.7.22

* Fri Feb 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.21-1mdv2009.1
+ Revision: 343489
- update to new version 0.7.21

* Tue Feb 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.20-1mdv2009.1
+ Revision: 337174
- update to new version 0.7.20

* Fri Jan 30 2009 Aleksey Lim <alsroot@mandriva.org> 0.7.19-1mdv2009.1
+ Revision: 335504
- update to new version 0.7.19

* Sun Jan 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.18-2mdv2009.1
+ Revision: 328433
- Enable olpc support for sugar (request from alsroot)

* Sat Jan 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.18-1mdv2009.1
+ Revision: 327958
- update to new version 0.7.18

* Sat Dec 27 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.17-1mdv2009.1
+ Revision: 319857
- update to new version 0.7.17

* Thu Dec 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.16-1mdv2009.1
+ Revision: 310060
- update to new version 0.7.16

* Tue Nov 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.15-1mdv2009.1
+ Revision: 302244
- update to new version 0.7.15

* Sat Oct 25 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.12-1mdv2009.1
+ Revision: 297263
- update to new version 0.7.12

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.10-1mdv2009.1
+ Revision: 294845
- update to new version 0.7.10

* Wed Aug 20 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 274374
- Update to new version 0.7.8
- Remove garray patch, it was integrated upstream

* Mon Aug 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.7-1mdv2009.0
+ Revision: 263569
- New upstream version 0.7.7
- Add upstream fix for glib 2.17

* Fri May 16 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2009.0
+ Revision: 208210
- New version

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 0.7.5-1mdv2009.0
+ Revision: 202029
- BR telepathy-glib
- New version 0.7.5

* Tue Apr 22 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.3-1mdv2009.0
+ Revision: 196601
- New upstream version
- New license policy

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 177202
- update to new version 0.7.2

* Wed Jan 09 2008 Jérôme Soyer <saispo@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 147224
- New release 0.7.1

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 97698
- New release 0.6.0

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.5.13-1mdv2008.0
+ Revision: 79783
- new version

* Tue Jul 10 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.12-2mdv2008.0
+ Revision: 51039
- Obsoletes tapioca-xmpp ( bug #26973 and #31804)

* Mon Jun 18 2007 Michael Scherer <misc@mandriva.org> 0.5.12-1mdv2008.0
+ Revision: 40774
- version 0.5.12

* Sun Jun 10 2007 Michael Scherer <misc@mandriva.org> 0.5.11-2mdv2008.0
+ Revision: 37791
- update to 0.5.11, and remove -devel package, as it seems to no longer exist ( replaced by telepathy-glib ? )

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Rebuild

